import os

# connections
OANDA_OIL='OANDA_OIL'
VOTE_OIL='VOTE_OIL'
VOTE_TO_OANDA='VOTE_TO_OANDA'

BUY, SELL = 2, 1
ANY, LONG, SHORT = 0, 2, 1

PATH = os.getcwd().split('home')[0]+'home'
PATH_OUT_SIMULATION_DATA = PATH+'/data-simulation'

ECHO_DELTA_TIME = int(os.environ['ECHO_DELTA_TIME'])
SLEEP_TO_KILL = int(os.environ['SLEEP_TO_KILL'])

MARKET_HOUR_ACTIVATION='MARKET_HOUR_ACTIVATION' 
API_OIL_CRUDE_STOCK_STATUS='API_OIL_CRUDE_STOCK_STATUS'

class ACTIVATION():
  ACTIVATE = 'ACTIVATE'
  DESACTIVATE = 'DESACTIVATE'

class TipeMSG():
  ECHO = 0
  DATA = 1
  ORDER = 2
  INFO = 3

### Id of algorithms
MOVING_AVERAGES_ID = 'MOVING_AVERAGES_ID'
API_OIL_CRUDE_STOCK_ID = 'API_OIL_CRUDE_STOCK_ID'
